[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EAssertionFailed

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Assertion failed error.

## Declaration

Source position: sysutilh.inc line 192

`type EAssertionFailed = class(Exception)`

## Inheritance

`EAssertionFailed` |  | Assertion failed error.
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

EAssertionFailed is raised when an application that is compiled with assertions, encounters an invalid assertion.